curl --request POST \
--url https://api.iotools.cloud/v1/tool/hyperbola-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orientation": "horizontal",
"a": "3",
"b": "2",
"h": "0",
"k": "0"
}
'{
"tool": "hyperbola-calculator",
"tool_version": "1.0.2",
"outputs": {
"svgSource": "<svg xmlns=\"http://www.w3.org/2000/svg\" class=\"hyperbola-svg\" viewBox=\"-14.00 -8.99 27.99 17.99\"><line x1=\"-14.00\" y1=\"0\" x2=\"14.00\" y2=\"0\" stroke=\"#cccccc\" stroke-width=\"1\"/><line x1=\"0\" y1=\"-8.99\" x2=\"0\" y2=\"8.99\" stroke=\"#cccccc\" stroke-width=\"1\"/><line x1=\"-14.00\" y1=\"9.33\" x2=\"14.00\" y2=\"-9.33\" stroke=\"#8b5cf6\" stroke-width=\"1.5\" stroke-dasharray=\"5 4\"/><line x1=\"-14.00\" y1=\"-9.33\" x2=\"14.00\" y2=\"9.33\" stroke=\"#8b5cf6\" stroke-width=\"1.5\" stroke-dasharray=\"5 4\"/><path d=\"M 11.29 7.25 L 10.59 6.77 L 9.93 6.31 L 9.32 5.88 L 8.75 5.48 L 8.23 5.11 L 7.73 4.75 L 7.27 4.42 L 6.85 4.10 L 6.45 3.81 L 6.09 3.53 L 5.75 3.27 L 5.43 3.02 L 5.14 2.78 L 4.87 2.56 L 4.63 2.35 L 4.40 2.15 L 4.20 1.96 L 4.01 1.78 L 3.84 1.60 L 3.69 1.43 L 3.56 1.27 L 3.44 1.12 L 3.33 0.97 L 3.24 0.82 L 3.17 0.68 L 3.11 0.54 L 3.06 0.40 L 3.03 0.27 L 3.01 0.13 L 3.00 0.00 L 3.01 -0.13 L 3.03 -0.27 L 3.06 -0.40 L 3.11 -0.54 L 3.17 -0.68 L 3.24 -0.82 L 3.33 -0.97 L 3.44 -1.12 L 3.56 -1.27 L 3.69 -1.43 L 3.84 -1.60 L 4.01 -1.78 L 4.20 -1.96 L 4.40 -2.15 L 4.63 -2.35 L 4.87 -2.56 L 5.14 -2.78 L 5.43 -3.02 L 5.75 -3.27 L 6.09 -3.53 L 6.45 -3.81 L 6.85 -4.10 L 7.27 -4.42 L 7.73 -4.75 L 8.23 -5.11 L 8.75 -5.48 L 9.32 -5.88 L 9.93 -6.31 L 10.59 -6.77 L 11.29 -7.25\" fill=\"none\" stroke=\"#464aff\" stroke-width=\"2.5\"/><path d=\"M -11.29 7.25 L -10.59 6.77 L -9.93 6.31 L -9.32 5.88 L -8.75 5.48 L -8.23 5.11 L -7.73 4.75 L -7.27 4.42 L -6.85 4.10 L -6.45 3.81 L -6.09 3.53 L -5.75 3.27 L -5.43 3.02 L -5.14 2.78 L -4.87 2.56 L -4.63 2.35 L -4.40 2.15 L -4.20 1.96 L -4.01 1.78 L -3.84 1.60 L -3.69 1.43 L -3.56 1.27 L -3.44 1.12 L -3.33 0.97 L -3.24 0.82 L -3.17 0.68 L -3.11 0.54 L -3.06 0.40 L -3.03 0.27 L -3.01 0.13 L -3.00 0.00 L -3.01 -0.13 L -3.03 -0.27 L -3.06 -0.40 L -3.11 -0.54 L -3.17 -0.68 L -3.24 -0.82 L -3.33 -0.97 L -3.44 -1.12 L -3.56 -1.27 L -3.69 -1.43 L -3.84 -1.60 L -4.01 -1.78 L -4.20 -1.96 L -4.40 -2.15 L -4.63 -2.35 L -4.87 -2.56 L -5.14 -2.78 L -5.43 -3.02 L -5.75 -3.27 L -6.09 -3.53 L -6.45 -3.81 L -6.85 -4.10 L -7.27 -4.42 L -7.73 -4.75 L -8.23 -5.11 L -8.75 -5.48 L -9.32 -5.88 L -9.93 -6.31 L -10.59 -6.77 L -11.29 -7.25\" fill=\"none\" stroke=\"#464aff\" stroke-width=\"2.5\"/><circle cx=\"0.00\" cy=\"0.00\" r=\"4\" fill=\"#666666\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"3.00\" cy=\"0.00\" r=\"4\" fill=\"#464aff\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"-3.00\" cy=\"0.00\" r=\"4\" fill=\"#464aff\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"3.61\" cy=\"0.00\" r=\"4\" fill=\"#8b5cf6\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"-3.61\" cy=\"0.00\" r=\"4\" fill=\"#8b5cf6\" stroke=\"#ffffff\" stroke-width=\"1.5\"/></svg>",
"summary": [
{
"property": "Orientation",
"value": "Horizontal (opens left/right)"
},
{
"property": "Center (h, k)",
"value": "(0, 0)"
},
{
"property": "a (transverse semi-axis)",
"value": "3"
},
{
"property": "b (conjugate semi-axis)",
"value": "2"
},
{
"property": "c (focal distance)",
"value": "3.60555"
},
{
"property": "Eccentricity (e)",
"value": "1.20185"
},
{
"property": "Vertices",
"value": "(3, 0) and (-3, 0)"
},
{
"property": "Co-vertices",
"value": "(0, 2) and (0, -2)"
},
{
"property": "Foci",
"value": "(3.60555, 0) and (-3.60555, 0)"
},
{
"property": "Asymptotes",
"value": "y = 0.666667x; y = -0.666667x"
},
{
"property": "Transverse axis length",
"value": "6"
},
{
"property": "Conjugate axis length",
"value": "4"
}
],
"steps": "Standard form: x² / 9 − y² / 4 = 1\nCenter: (h, k) = (0, 0)\nOpens left/right (a = 3, b = 2)\nc = √(a² + b²) = √(9 + 4) = 3.60555\nEccentricity: e = c / a = 3.60555 / 3 = 1.20185\nVertices: (3, 0) and (-3, 0)\nCo-vertices: (0, 2) and (0, -2)\nFoci: (3.60555, 0) and (-3.60555, 0)\nAsymptotes: y = 0.666667x and y = -0.666667x"
},
"credits_used": 5,
"credits_remaining": null
}Calculators
Hyperbola Calculator
Analyze a hyperbola in standard form: center, vertices, co-vertices, foci, eccentricity, and asymptotes, with a plotted diagram of both branches and step-by-step math.
POST
/
v1
/
tool
/
hyperbola-calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/hyperbola-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orientation": "horizontal",
"a": "3",
"b": "2",
"h": "0",
"k": "0"
}
'{
"tool": "hyperbola-calculator",
"tool_version": "1.0.2",
"outputs": {
"svgSource": "<svg xmlns=\"http://www.w3.org/2000/svg\" class=\"hyperbola-svg\" viewBox=\"-14.00 -8.99 27.99 17.99\"><line x1=\"-14.00\" y1=\"0\" x2=\"14.00\" y2=\"0\" stroke=\"#cccccc\" stroke-width=\"1\"/><line x1=\"0\" y1=\"-8.99\" x2=\"0\" y2=\"8.99\" stroke=\"#cccccc\" stroke-width=\"1\"/><line x1=\"-14.00\" y1=\"9.33\" x2=\"14.00\" y2=\"-9.33\" stroke=\"#8b5cf6\" stroke-width=\"1.5\" stroke-dasharray=\"5 4\"/><line x1=\"-14.00\" y1=\"-9.33\" x2=\"14.00\" y2=\"9.33\" stroke=\"#8b5cf6\" stroke-width=\"1.5\" stroke-dasharray=\"5 4\"/><path d=\"M 11.29 7.25 L 10.59 6.77 L 9.93 6.31 L 9.32 5.88 L 8.75 5.48 L 8.23 5.11 L 7.73 4.75 L 7.27 4.42 L 6.85 4.10 L 6.45 3.81 L 6.09 3.53 L 5.75 3.27 L 5.43 3.02 L 5.14 2.78 L 4.87 2.56 L 4.63 2.35 L 4.40 2.15 L 4.20 1.96 L 4.01 1.78 L 3.84 1.60 L 3.69 1.43 L 3.56 1.27 L 3.44 1.12 L 3.33 0.97 L 3.24 0.82 L 3.17 0.68 L 3.11 0.54 L 3.06 0.40 L 3.03 0.27 L 3.01 0.13 L 3.00 0.00 L 3.01 -0.13 L 3.03 -0.27 L 3.06 -0.40 L 3.11 -0.54 L 3.17 -0.68 L 3.24 -0.82 L 3.33 -0.97 L 3.44 -1.12 L 3.56 -1.27 L 3.69 -1.43 L 3.84 -1.60 L 4.01 -1.78 L 4.20 -1.96 L 4.40 -2.15 L 4.63 -2.35 L 4.87 -2.56 L 5.14 -2.78 L 5.43 -3.02 L 5.75 -3.27 L 6.09 -3.53 L 6.45 -3.81 L 6.85 -4.10 L 7.27 -4.42 L 7.73 -4.75 L 8.23 -5.11 L 8.75 -5.48 L 9.32 -5.88 L 9.93 -6.31 L 10.59 -6.77 L 11.29 -7.25\" fill=\"none\" stroke=\"#464aff\" stroke-width=\"2.5\"/><path d=\"M -11.29 7.25 L -10.59 6.77 L -9.93 6.31 L -9.32 5.88 L -8.75 5.48 L -8.23 5.11 L -7.73 4.75 L -7.27 4.42 L -6.85 4.10 L -6.45 3.81 L -6.09 3.53 L -5.75 3.27 L -5.43 3.02 L -5.14 2.78 L -4.87 2.56 L -4.63 2.35 L -4.40 2.15 L -4.20 1.96 L -4.01 1.78 L -3.84 1.60 L -3.69 1.43 L -3.56 1.27 L -3.44 1.12 L -3.33 0.97 L -3.24 0.82 L -3.17 0.68 L -3.11 0.54 L -3.06 0.40 L -3.03 0.27 L -3.01 0.13 L -3.00 0.00 L -3.01 -0.13 L -3.03 -0.27 L -3.06 -0.40 L -3.11 -0.54 L -3.17 -0.68 L -3.24 -0.82 L -3.33 -0.97 L -3.44 -1.12 L -3.56 -1.27 L -3.69 -1.43 L -3.84 -1.60 L -4.01 -1.78 L -4.20 -1.96 L -4.40 -2.15 L -4.63 -2.35 L -4.87 -2.56 L -5.14 -2.78 L -5.43 -3.02 L -5.75 -3.27 L -6.09 -3.53 L -6.45 -3.81 L -6.85 -4.10 L -7.27 -4.42 L -7.73 -4.75 L -8.23 -5.11 L -8.75 -5.48 L -9.32 -5.88 L -9.93 -6.31 L -10.59 -6.77 L -11.29 -7.25\" fill=\"none\" stroke=\"#464aff\" stroke-width=\"2.5\"/><circle cx=\"0.00\" cy=\"0.00\" r=\"4\" fill=\"#666666\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"3.00\" cy=\"0.00\" r=\"4\" fill=\"#464aff\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"-3.00\" cy=\"0.00\" r=\"4\" fill=\"#464aff\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"3.61\" cy=\"0.00\" r=\"4\" fill=\"#8b5cf6\" stroke=\"#ffffff\" stroke-width=\"1.5\"/><circle cx=\"-3.61\" cy=\"0.00\" r=\"4\" fill=\"#8b5cf6\" stroke=\"#ffffff\" stroke-width=\"1.5\"/></svg>",
"summary": [
{
"property": "Orientation",
"value": "Horizontal (opens left/right)"
},
{
"property": "Center (h, k)",
"value": "(0, 0)"
},
{
"property": "a (transverse semi-axis)",
"value": "3"
},
{
"property": "b (conjugate semi-axis)",
"value": "2"
},
{
"property": "c (focal distance)",
"value": "3.60555"
},
{
"property": "Eccentricity (e)",
"value": "1.20185"
},
{
"property": "Vertices",
"value": "(3, 0) and (-3, 0)"
},
{
"property": "Co-vertices",
"value": "(0, 2) and (0, -2)"
},
{
"property": "Foci",
"value": "(3.60555, 0) and (-3.60555, 0)"
},
{
"property": "Asymptotes",
"value": "y = 0.666667x; y = -0.666667x"
},
{
"property": "Transverse axis length",
"value": "6"
},
{
"property": "Conjugate axis length",
"value": "4"
}
],
"steps": "Standard form: x² / 9 − y² / 4 = 1\nCenter: (h, k) = (0, 0)\nOpens left/right (a = 3, b = 2)\nc = √(a² + b²) = √(9 + 4) = 3.60555\nEccentricity: e = c / a = 3.60555 / 3 = 1.20185\nVertices: (3, 0) and (-3, 0)\nCo-vertices: (0, 2) and (0, -2)\nFoci: (3.60555, 0) and (-3.60555, 0)\nAsymptotes: y = 0.666667x and y = -0.666667x"
},
"credits_used": 5,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?